package org.jeecg.modules.online.config.c;

import org.slf4j.LoggerFactory;
import org.jeecg.modules.online.cgform.entity.OnlCgformField;
import com.alibaba.fastjson.JSONObject;
import java.util.ArrayList;
import org.jeecg.common.util.SpringContextUtils;
import org.jeecg.modules.online.cgform.service.IOnlCgformFieldService;
import com.alibaba.fastjson.JSONArray;
import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;
import org.apache.commons.lang.StringUtils;
import org.jeecg.common.system.query.MatchTypeEnum;
import org.jeecg.common.util.DateUtils;
import java.text.SimpleDateFormat;
import org.jeecg.common.system.query.QueryGenerator;
import org.jeecg.common.system.util.JeecgDataAutorUtils;
import org.jeecg.common.util.oConvertUtils;
import java.util.Iterator;
import org.jeecg.common.system.query.QueryRuleEnum;
import java.util.HashMap;
import java.util.Map;
import org.jeecg.common.system.vo.SysPermissionDataRuleModel;
import org.jeecg.modules.online.config.b.e;
import java.util.List;
import org.slf4j.Logger;

public class b
{
    private static final Logger b;
    private String c;
    private String d;
    private String e;
    private boolean f;
    private List<e> g;
    private List<String> h;
    private List<SysPermissionDataRuleModel> i;
    private Map<String, Object> j;
    private StringBuffer k;
    private StringBuffer l;
    private Map<String, Object> m;
    private String n;
    private boolean o;
    private String p;
    private int q;
    private boolean r;
    private String s;
    private Map<String, String> t;
    private Map<String, String> u;
    public String a;
    
    public b() {
    }
    
    public b(final String c, final String e) {
        this.c = c;
        this.d = c.replace(".", "");
        this.e = e;
        this.f = this.e(e);
        this.k = new StringBuffer();
        this.m = new HashMap<String, Object>();
        this.i = null;
        this.h = null;
        this.p = " AND ";
        this.q = 1;
        this.r = true;
        this.s = "";
        this.t = new HashMap<String, String>();
        this.u = new HashMap<String, String>();
    }
    
    public b(final String s) {
        this(s, null);
        this.q = 2;
    }
    
    public b(final String s, final boolean o, final String str) {
        this(s, null);
        this.o = o;
        this.p = " " + str + " ";
        this.q = 2;
    }
    
    public String a(final List<e> list, final Map<String, Object> map) {
        this.c(list, map);
        this.d();
        return this.k.toString();
    }
    
    public String a(final List<e> list, final Map<String, Object> map, final List<SysPermissionDataRuleModel> authDatalist) {
        this.setAuthDatalist(authDatalist);
        this.c(list, map);
        this.b(list);
        this.a(map);
        return this.k.toString();
    }
    
    public String a(final List<e> list, final Map<String, Object> map, final List<SysPermissionDataRuleModel> authDatalist, final String s) {
        this.setAuthDatalist(authDatalist);
        this.s = s;
        this.c(list, map);
        this.b(list);
        return this.k.toString();
    }
    
    public String b(final List<e> list, final Map<String, Object> map) {
        this.c(list, map);
        return this.k.toString();
    }
    
    public String a(final List<e> list) {
        if (this.o) {
            for (final e e : list) {
                final String name = e.getName();
                final String val = e.getVal();
                if (val != null) {
                    QueryRuleEnum queryRuleEnum = QueryRuleEnum.getByValue(e.getRule());
                    if (queryRuleEnum == null) {
                        queryRuleEnum = QueryRuleEnum.EQ;
                    }
                    this.a(name, e.getType(), val, queryRuleEnum);
                }
            }
        }
        return this.k.toString();
    }
    
    public void c(final List<e> list, final Map<String, Object> map) {
        for (final e e : list) {
            final String name = e.getName();
            final String type = e.getType();
            if (this.h != null && this.h.contains(name)) {
                e.setIsSearch(Integer.valueOf(1));
                e.setMode("single");
            }
            if (oConvertUtils.isNotEmpty((Object)e.getMainField()) && oConvertUtils.isNotEmpty((Object)e.getMainTable())) {
                e.setIsSearch(Integer.valueOf(1));
                e.setMode("single");
            }
            if (1 == e.getIsSearch()) {
                if ("group".equals(e.getMode())) {
                    final String string = name + "_begin";
                    final Object value = map.get(this.s + string);
                    if (null != value) {
                        this.b(name, " >= ");
                        this.b(string, type, value);
                    }
                    final String string2 = name + "_end";
                    final Object value2 = map.get(this.s + string2);
                    if (null == value2) {
                        continue;
                    }
                    this.b(name, " <= ");
                    this.b(string2, type, value2);
                }
                else {
                    final Object value3 = map.get(this.s + name);
                    if (value3 == null) {
                        continue;
                    }
                    final String view = e.getView();
                    if ("list_multi".equals(view)) {
                        this.e(name, value3);
                    }
                    else if ("popup".equals(view)) {
                        this.f(name, value3);
                    }
                    else {
                        this.a(name, type, value3);
                    }
                }
            }
        }
    }
    
    public void setAuthList(final List<SysPermissionDataRuleModel> authDatalist) {
        this.i = authDatalist;
    }
    
    private void d() {
        final List loadDataSearchConditon = JeecgDataAutorUtils.loadDataSearchConditon();
        if (loadDataSearchConditon != null && loadDataSearchConditon.size() > 0) {
            for (int i = 0; i < loadDataSearchConditon.size(); ++i) {
                final SysPermissionDataRuleModel sysPermissionDataRuleModel = loadDataSearchConditon.get(i);
                if (sysPermissionDataRuleModel == null) {
                    break;
                }
                final String ruleValue = sysPermissionDataRuleModel.getRuleValue();
                if (!oConvertUtils.isEmpty((Object)ruleValue)) {
                    if (QueryRuleEnum.SQL_RULES.getValue().equals(sysPermissionDataRuleModel.getRuleConditions())) {
                        this.b("", QueryGenerator.getSqlRuleValue(ruleValue));
                    }
                    else {
                        final QueryRuleEnum byValue = QueryRuleEnum.getByValue(sysPermissionDataRuleModel.getRuleConditions());
                        String s = "Integer";
                        String s2 = ruleValue.trim();
                        if (s2.startsWith("'") && s2.endsWith("'")) {
                            s = "string";
                            s2 = s2.substring(1, s2.length() - 1);
                        }
                        this.a(sysPermissionDataRuleModel.getRuleColumn(), s, QueryGenerator.converRuleValue(s2), byValue);
                    }
                }
            }
        }
    }
    
    private e a(final String s, final List<e> list) {
        if (list != null && s != null) {
            final String camelToUnderline = oConvertUtils.camelToUnderline(s);
            for (int i = 0; i < list.size(); ++i) {
                final e e = list.get(i);
                final String name = e.getName();
                if (s.equals(name) || camelToUnderline.equals(name)) {
                    return e;
                }
            }
        }
        return null;
    }
    
    private void b(final List<e> list) {
        List<SysPermissionDataRuleModel> list2 = this.i;
        if (list2 == null) {
            list2 = JeecgDataAutorUtils.loadDataSearchConditon();
        }
        if (list2 != null && list2.size() > 0) {
            for (int i = 0; i < list2.size(); ++i) {
                final SysPermissionDataRuleModel sysPermissionDataRuleModel = list2.get(i);
                if (sysPermissionDataRuleModel == null) {
                    break;
                }
                final String ruleValue = sysPermissionDataRuleModel.getRuleValue();
                if (!oConvertUtils.isEmpty((Object)ruleValue)) {
                    if (QueryRuleEnum.SQL_RULES.getValue().equals(sysPermissionDataRuleModel.getRuleConditions())) {
                        this.b("", QueryGenerator.getSqlRuleValue(ruleValue));
                    }
                    else {
                        final e a = this.a(sysPermissionDataRuleModel.getRuleColumn(), list);
                        if (a != null) {
                            this.a(a.getName(), a.getType(), QueryGenerator.converRuleValue(ruleValue), QueryRuleEnum.getByValue(sysPermissionDataRuleModel.getRuleConditions()));
                        }
                    }
                }
            }
        }
    }
    
    private void a(final String s, final String s2, final Object o) {
        this.a(s, s2, o, null);
    }
    
    private void a(final String s, final String s2, final Object o, QueryRuleEnum convert2Rule) {
        if (o != null) {
            String s3 = o.toString();
            boolean b = false;
            if (convert2Rule == null) {
                b = true;
                convert2Rule = QueryGenerator.convert2Rule(o);
            }
            if (b) {
                s3 = s3.trim();
            }
            switch (org.jeecg.modules.online.config.c.b.b$1.a[convert2Rule.ordinal()]) {
                case 1:
                case 2: {
                    this.b(s, convert2Rule.getValue());
                    if (b) {
                        s3 = s3.substring(1);
                    }
                    this.b(s, s2, (Object)s3);
                    break;
                }
                case 3:
                case 4: {
                    this.b(s, convert2Rule.getValue());
                    if (b) {
                        s3 = s3.substring(2);
                    }
                    this.b(s, s2, (Object)s3);
                    break;
                }
                case 5: {
                    this.b(s, convert2Rule.getValue());
                    this.b(s, s2, (Object)s3);
                    break;
                }
                case 6: {
                    this.b(s, convert2Rule.getValue());
                    if (b) {
                        s3 = s3.replaceAll("\\+\\+", ",");
                    }
                    this.b(s, s2, (Object)s3);
                    break;
                }
                case 7: {
                    this.b(s, " <> ");
                    if (b) {
                        s3 = s3.substring(1);
                    }
                    this.b(s, s2, (Object)s3);
                    break;
                }
                case 8: {
                    this.b(s, " in ");
                    this.a(s, s2, s3);
                    break;
                }
                case 9:
                case 10:
                case 11: {
                    this.b(s, " like ");
                    if (b) {
                        this.a(s, s3);
                        break;
                    }
                    this.a(s, s3, convert2Rule);
                    break;
                }
                default: {
                    this.b(s, " = ");
                    this.b(s, s2, (Object)s3);
                    break;
                }
            }
        }
    }
    
    private void a(final String s, final String s2, final String s3) {
        final String[] split = s3.split(",");
        if (split.length == 0) {
            this.a("('')");
        }
        else {
            final String format = "foreach_%s_%s";
            String s4 = "";
            for (int i = 0; i < split.length; ++i) {
                final String trim = split[i].trim();
                final String format2 = String.format(format, s, i);
                if (i > 0) {
                    s4 += ",";
                }
                final String f = this.f(format2);
                if ("jdbcTemplate".equals(this.n)) {
                    s4 = s4 + ":" + f;
                }
                else {
                    s4 = s4 + "#{" + this.b(f) + "}";
                }
                if ("Long".equals(s2) || "Integer".equals(s2)) {
                    this.a(format2, (Object)Integer.parseInt(trim));
                }
                else {
                    this.a(format2, (Object)trim);
                }
            }
            this.a("(" + s4 + ")");
        }
    }
    
    private void a(final String s, final String str) {
        this.a(this.c(s, "VARCHAR"));
        String s2;
        if ((str.startsWith("*") && str.endsWith("*")) || (str.startsWith("%") && str.endsWith("%"))) {
            s2 = "%" + str.substring(1, str.length() - 1) + "%";
        }
        else if (str.startsWith("*") || str.startsWith("%")) {
            s2 = "%" + str.substring(1);
        }
        else if (str.endsWith("*") || str.endsWith("%")) {
            s2 = str.substring(0, str.length() - 1) + "%";
        }
        else {
            s2 = "%" + str + "%";
        }
        this.a(s, (Object)s2);
    }
    
    private void a(final String s, final String str, final QueryRuleEnum queryRuleEnum) {
        this.a(this.c(s, "VARCHAR"));
        if (queryRuleEnum == QueryRuleEnum.LEFT_LIKE) {
            this.a(s, (Object)("%" + str));
        }
        else if (queryRuleEnum == QueryRuleEnum.RIGHT_LIKE) {
            this.a(s, (Object)(str + "%"));
        }
        else {
            this.a(s, (Object)("%" + str + "%"));
        }
    }
    
    private void b(final String s, final String s2, final Object o) {
        final String lowerCase = s2.toLowerCase();
        if (this.d(s2)) {
            if (org.jeecg.modules.online.cgform.util.b.g(o.toString())) {
                this.a(o.toString());
            }
            else {
                this.a("''");
            }
        }
        else if ("datetime".equals(lowerCase)) {
            this.b(s, DateUtils.str2Date(o.toString(), (SimpleDateFormat)DateUtils.datetimeFormat.get()));
        }
        else if ("date".equals(lowerCase)) {
            this.c(s, DateUtils.str2Date(o.toString(), (SimpleDateFormat)DateUtils.date_sdf.get()));
        }
        else {
            final String trim = o.toString().trim();
            if (trim.startsWith("'") && trim.endsWith("'") && this.q == 1) {
                this.a(trim);
            }
            else {
                this.d(s, trim);
            }
        }
    }
    
    private void b(final String s, final String s2) {
        this.b(s, s2, this.p);
    }
    
    private void b(final String str, final String s, final String str2) {
        if (this.r) {
            this.r = false;
        }
        else {
            this.k.append(str2);
        }
        if (str.length() > 0) {
            this.k.append(this.c).append(str).append(s);
        }
        else {
            this.k.append(" ").append(s).append(" ");
        }
    }
    
    private void a(final String str) {
        this.k.append(str);
    }
    
    private String c(String f, final String s) {
        f = this.f(f);
        if ("jdbcTemplate".equals(this.n)) {
            return ":" + f;
        }
        final String b = this.b(f);
        if (s == null) {
            return String.format("#{%s}", b);
        }
        return String.format("#{%s, jdbcType=%s}", b, s);
    }
    
    private String b(final String s) {
        return "param." + this.c(s);
    }
    
    private void a(String g, final Object o) {
        g = this.g(g);
        this.m.put(this.c(g), o);
    }
    
    private String c(final String str) {
        if (this.q == 1) {
            return str;
        }
        return this.d + "_" + str;
    }
    
    private void b(final String s, final Object o) {
        if (o != null) {
            this.a(this.c(s, "TIMESTAMP"));
            this.a(s, o);
        }
    }
    
    private void c(final String s, final Object o) {
        if (o != null) {
            this.a(this.c(s, "DATE"));
            this.a(s, o);
        }
    }
    
    private void d(final String s, final Object o) {
        if (o != null) {
            this.a(this.c(s, null));
            this.a(s, o);
        }
    }
    
    private boolean d(final String anObject) {
        return "Long".equals(anObject) || "Integer".equals(anObject) || "int".equals(anObject) || "double".equals(anObject) || "BigDecimal".equals(anObject);
    }
    
    private boolean e(final String anObject) {
        return !"ORACLE".equals(anObject);
    }
    
    public static String a(final String s, final long l) {
        return s.replaceFirst("\\?", String.valueOf(l));
    }
    
    public static String a(String replaceFirst, final long l, final long i) {
        replaceFirst = replaceFirst.replaceFirst("\\?", String.valueOf(l));
        return replaceFirst.replaceFirst("\\?", String.valueOf(i));
    }
    
    private void e(final String str, final Object o) {
        if (o != null) {
            final String[] split = o.toString().split(",");
            String string = "";
            final String string2 = this.c + str;
            for (int i = 0; i < split.length; ++i) {
                final String string3 = string2 + " like '%" + split[i] + ",%' or " + string2 + " like '%," + split[i] + "%' or " + string2 + " = '" + split[i] + "'";
                if (string.length() == 0) {
                    string = string3;
                }
                else {
                    string = string + " or " + string3;
                }
            }
            if (string.length() > 0) {
                this.b("", "(" + string + ")");
            }
        }
    }
    
    private void f(final String str, final Object o) {
        if (o != null) {
            final String string = this.c + str;
            String string2 = "";
            final String format = "popup_%s_%s";
            final String[] split = o.toString().split(",");
            for (int i = 0; i < split.length; ++i) {
                final String format2 = String.format(format, str, i);
                final String c = this.c(format2, "VARCHAR");
                this.a(format2, (Object)("%" + split[i] + "%"));
                final String string3 = string + " like " + c;
                if (string2.length() == 0) {
                    string2 = string3;
                }
                else {
                    string2 = string2 + " and " + string3;
                }
            }
            if (string2.length() > 0) {
                this.b("", "(" + string2 + ")");
            }
        }
    }
    
    private void a(final Map<String, Object> map) {
        MatchTypeEnum matchTypeEnum = MatchTypeEnum.getByValue(map.get("superQueryMatchType"));
        if (matchTypeEnum == null) {
            matchTypeEnum = MatchTypeEnum.AND;
        }
        final Object value = map.get("superQueryParams");
        if (value == null || StringUtils.isBlank(value.toString())) {
            return;
        }
        String decode;
        try {
            decode = URLDecoder.decode(value.toString(), "UTF-8");
        }
        catch (final UnsupportedEncodingException ex) {
            ex.printStackTrace();
            return;
        }
        final JSONArray array = JSONArray.parseArray(decode);
        final IOnlCgformFieldService onlCgformFieldService = (IOnlCgformFieldService)SpringContextUtils.getBean((Class)IOnlCgformFieldService.class);
        final ArrayList list = new ArrayList();
        list.add("JEECG_SUPER_QUERY_MAIN_TABLE");
        if (this.a != null && !"".equals(this.a)) {
            final String[] split = this.a.split(",");
            for (int length = split.length, i = 0; i < length; ++i) {
                list.add(split[i]);
            }
        }
        final HashMap hashMap = new HashMap();
        final StringBuffer sb = new StringBuffer();
        for (int j = 0; j < list.size(); ++j) {
            final String s = (String)list.get(j);
            final ArrayList list2 = new ArrayList();
            for (int k = 0; k < array.size(); ++k) {
                final JSONObject jsonObject = array.getJSONObject(k);
                final String string = jsonObject.getString("field");
                if (!oConvertUtils.isEmpty((Object)string)) {
                    final String[] split2 = string.split(",");
                    final e e = new e(jsonObject);
                    if ("JEECG_SUPER_QUERY_MAIN_TABLE".equals(s) && split2.length == 1) {
                        list2.add(e);
                    }
                    else if (split2.length == 2 && split2[0].equals(s)) {
                        list2.add(e);
                        if (hashMap.get(s) == null) {
                            final List queryFormFieldsByTableName = onlCgformFieldService.queryFormFieldsByTableName(s);
                            final JSONObject jsonObject2 = new JSONObject();
                            for (final OnlCgformField onlCgformField : queryFormFieldsByTableName) {
                                if (StringUtils.isNotBlank(onlCgformField.getMainTable())) {
                                    jsonObject2.put("subTableName", (Object)s);
                                    jsonObject2.put("subField", (Object)onlCgformField.getDbFieldName());
                                    jsonObject2.put("mainTable", (Object)onlCgformField.getMainTable());
                                    jsonObject2.put("mainField", (Object)onlCgformField.getMainField());
                                }
                            }
                            hashMap.put(s, jsonObject2);
                        }
                    }
                }
            }
            if (list2.size() > 0) {
                final b b = new b((j == 0) ? this.c : (this.d + j + "."), true, matchTypeEnum.getValue());
                b.setDuplicateParamNameRecord(this.getDuplicateParamNameRecord());
                b.setDuplicateSqlNameRecord(this.getDuplicateSqlNameRecord());
                final String a = b.a(list2);
                final Map<String, Object> sqlParams = b.getSqlParams();
                if (a != null && a.length() > 0) {
                    if (j == 0) {
                        sb.append(" ").append(a).append(" ");
                        this.m.putAll(sqlParams);
                    }
                    else {
                        final JSONObject jsonObject3 = (JSONObject)hashMap.get(s);
                        final String format = String.format(" %s in (select %s from %s %s where ", jsonObject3.getString("mainField"), jsonObject3.getString("subField"), jsonObject3.getString("subTableName"), this.d + j);
                        this.m.putAll(sqlParams);
                        sb.append(matchTypeEnum.getValue()).append(format).append(a).append(") ");
                    }
                }
            }
        }
        String str = sb.toString();
        if (str.length() > 0) {
            if (str.startsWith("AND ")) {
                str = str.substring(3);
            }
            else if (str.startsWith("OR ")) {
                str = str.substring(2);
            }
            this.b("", "(" + str + ")");
        }
    }
    
    private String f(final String s) {
        return this.a(s, this.t);
    }
    
    private String g(final String s) {
        return this.a(s, this.u);
    }
    
    private String a(final String s, final Map<String, String> map) {
        String s2 = map.get(s);
        if (s2 == null) {
            s2 = s;
            map.put(s, s + "_1");
        }
        else {
            map.put(s, s + "_" + (Integer.parseInt(s2.substring(s2.lastIndexOf("_") + 1)) + 1));
        }
        return s2;
    }
    
    public String getAlias() {
        return this.c;
    }
    
    public String getAliasNoPoint() {
        return this.d;
    }
    
    public String getDataBaseType() {
        return this.e;
    }
    
    public boolean a() {
        return this.f;
    }
    
    public List<e> getFieldList() {
        return this.g;
    }
    
    public List<String> getNeedList() {
        return this.h;
    }
    
    public List<SysPermissionDataRuleModel> getAuthDatalist() {
        return this.i;
    }
    
    public Map<String, Object> getReqParams() {
        return this.j;
    }
    
    public StringBuffer getSql() {
        return this.k;
    }
    
    public StringBuffer getSuperQuerySql() {
        return this.l;
    }
    
    public Map<String, Object> getSqlParams() {
        return this.m;
    }
    
    public String getDaoType() {
        return this.n;
    }
    
    public boolean b() {
        return this.o;
    }
    
    public String getMatchType() {
        return this.p;
    }
    
    public int getUsePage() {
        return this.q;
    }
    
    public boolean c() {
        return this.r;
    }
    
    public String getParamPrefix() {
        return this.s;
    }
    
    public Map<String, String> getDuplicateSqlNameRecord() {
        return this.t;
    }
    
    public Map<String, String> getDuplicateParamNameRecord() {
        return this.u;
    }
    
    public String getSubTableStr() {
        return this.a;
    }
    
    public void setAlias(final String alias) {
        this.c = alias;
    }
    
    public void setAliasNoPoint(final String aliasNoPoint) {
        this.d = aliasNoPoint;
    }
    
    public void setDataBaseType(final String dataBaseType) {
        this.e = dataBaseType;
    }
    
    public void setDateStringSearch(final boolean dateStringSearch) {
        this.f = dateStringSearch;
    }
    
    public void setFieldList(final List<e> fieldList) {
        this.g = fieldList;
    }
    
    public void setNeedList(final List<String> needList) {
        this.h = needList;
    }
    
    public void setAuthDatalist(final List<SysPermissionDataRuleModel> authDatalist) {
        this.i = authDatalist;
    }
    
    public void setReqParams(final Map<String, Object> reqParams) {
        this.j = reqParams;
    }
    
    public void setSql(final StringBuffer sql) {
        this.k = sql;
    }
    
    public void setSuperQuerySql(final StringBuffer superQuerySql) {
        this.l = superQuerySql;
    }
    
    public void setSqlParams(final Map<String, Object> sqlParams) {
        this.m = sqlParams;
    }
    
    public void setDaoType(final String daoType) {
        this.n = daoType;
    }
    
    public void setSuperQuery(final boolean superQuery) {
        this.o = superQuery;
    }
    
    public void setMatchType(final String matchType) {
        this.p = matchType;
    }
    
    public void setUsePage(final int usePage) {
        this.q = usePage;
    }
    
    public void setFirst(final boolean first) {
        this.r = first;
    }
    
    public void setParamPrefix(final String paramPrefix) {
        this.s = paramPrefix;
    }
    
    public void setDuplicateSqlNameRecord(final Map<String, String> duplicateSqlNameRecord) {
        this.t = duplicateSqlNameRecord;
    }
    
    public void setDuplicateParamNameRecord(final Map<String, String> duplicateParamNameRecord) {
        this.u = duplicateParamNameRecord;
    }
    
    public void setSubTableStr(final String subTableStr) {
        this.a = subTableStr;
    }
    
    @Override
    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        }
        if (!(o instanceof b)) {
            return false;
        }
        final b b = (b)o;
        if (!b.a(this)) {
            return false;
        }
        if (this.a() != b.a()) {
            return false;
        }
        if (this.b() != b.b()) {
            return false;
        }
        if (this.getUsePage() != b.getUsePage()) {
            return false;
        }
        if (this.c() != b.c()) {
            return false;
        }
        final String alias = this.getAlias();
        final String alias2 = b.getAlias();
        Label_0117: {
            if (alias == null) {
                if (alias2 == null) {
                    break Label_0117;
                }
            }
            else if (alias.equals(alias2)) {
                break Label_0117;
            }
            return false;
        }
        final String aliasNoPoint = this.getAliasNoPoint();
        final String aliasNoPoint2 = b.getAliasNoPoint();
        Label_0154: {
            if (aliasNoPoint == null) {
                if (aliasNoPoint2 == null) {
                    break Label_0154;
                }
            }
            else if (aliasNoPoint.equals(aliasNoPoint2)) {
                break Label_0154;
            }
            return false;
        }
        final String dataBaseType = this.getDataBaseType();
        final String dataBaseType2 = b.getDataBaseType();
        Label_0191: {
            if (dataBaseType == null) {
                if (dataBaseType2 == null) {
                    break Label_0191;
                }
            }
            else if (dataBaseType.equals(dataBaseType2)) {
                break Label_0191;
            }
            return false;
        }
        final List<e> fieldList = this.getFieldList();
        final List<e> fieldList2 = b.getFieldList();
        Label_0228: {
            if (fieldList == null) {
                if (fieldList2 == null) {
                    break Label_0228;
                }
            }
            else if (fieldList.equals(fieldList2)) {
                break Label_0228;
            }
            return false;
        }
        final List<String> needList = this.getNeedList();
        final List<String> needList2 = b.getNeedList();
        Label_0265: {
            if (needList == null) {
                if (needList2 == null) {
                    break Label_0265;
                }
            }
            else if (needList.equals(needList2)) {
                break Label_0265;
            }
            return false;
        }
        final List<SysPermissionDataRuleModel> authDatalist = this.getAuthDatalist();
        final List<SysPermissionDataRuleModel> authDatalist2 = b.getAuthDatalist();
        Label_0302: {
            if (authDatalist == null) {
                if (authDatalist2 == null) {
                    break Label_0302;
                }
            }
            else if (authDatalist.equals(authDatalist2)) {
                break Label_0302;
            }
            return false;
        }
        final Map<String, Object> reqParams = this.getReqParams();
        final Map<String, Object> reqParams2 = b.getReqParams();
        Label_0339: {
            if (reqParams == null) {
                if (reqParams2 == null) {
                    break Label_0339;
                }
            }
            else if (reqParams.equals(reqParams2)) {
                break Label_0339;
            }
            return false;
        }
        final StringBuffer sql = this.getSql();
        final StringBuffer sql2 = b.getSql();
        Label_0376: {
            if (sql == null) {
                if (sql2 == null) {
                    break Label_0376;
                }
            }
            else if (sql.equals(sql2)) {
                break Label_0376;
            }
            return false;
        }
        final StringBuffer superQuerySql = this.getSuperQuerySql();
        final StringBuffer superQuerySql2 = b.getSuperQuerySql();
        Label_0413: {
            if (superQuerySql == null) {
                if (superQuerySql2 == null) {
                    break Label_0413;
                }
            }
            else if (superQuerySql.equals(superQuerySql2)) {
                break Label_0413;
            }
            return false;
        }
        final Map<String, Object> sqlParams = this.getSqlParams();
        final Map<String, Object> sqlParams2 = b.getSqlParams();
        Label_0450: {
            if (sqlParams == null) {
                if (sqlParams2 == null) {
                    break Label_0450;
                }
            }
            else if (sqlParams.equals(sqlParams2)) {
                break Label_0450;
            }
            return false;
        }
        final String daoType = this.getDaoType();
        final String daoType2 = b.getDaoType();
        Label_0487: {
            if (daoType == null) {
                if (daoType2 == null) {
                    break Label_0487;
                }
            }
            else if (daoType.equals(daoType2)) {
                break Label_0487;
            }
            return false;
        }
        final String matchType = this.getMatchType();
        final String matchType2 = b.getMatchType();
        Label_0524: {
            if (matchType == null) {
                if (matchType2 == null) {
                    break Label_0524;
                }
            }
            else if (matchType.equals(matchType2)) {
                break Label_0524;
            }
            return false;
        }
        final String paramPrefix = this.getParamPrefix();
        final String paramPrefix2 = b.getParamPrefix();
        Label_0561: {
            if (paramPrefix == null) {
                if (paramPrefix2 == null) {
                    break Label_0561;
                }
            }
            else if (paramPrefix.equals(paramPrefix2)) {
                break Label_0561;
            }
            return false;
        }
        final Map<String, String> duplicateSqlNameRecord = this.getDuplicateSqlNameRecord();
        final Map<String, String> duplicateSqlNameRecord2 = b.getDuplicateSqlNameRecord();
        Label_0598: {
            if (duplicateSqlNameRecord == null) {
                if (duplicateSqlNameRecord2 == null) {
                    break Label_0598;
                }
            }
            else if (duplicateSqlNameRecord.equals(duplicateSqlNameRecord2)) {
                break Label_0598;
            }
            return false;
        }
        final Map<String, String> duplicateParamNameRecord = this.getDuplicateParamNameRecord();
        final Map<String, String> duplicateParamNameRecord2 = b.getDuplicateParamNameRecord();
        Label_0635: {
            if (duplicateParamNameRecord == null) {
                if (duplicateParamNameRecord2 == null) {
                    break Label_0635;
                }
            }
            else if (duplicateParamNameRecord.equals(duplicateParamNameRecord2)) {
                break Label_0635;
            }
            return false;
        }
        final String subTableStr = this.getSubTableStr();
        final String subTableStr2 = b.getSubTableStr();
        if (subTableStr == null) {
            if (subTableStr2 == null) {
                return true;
            }
        }
        else if (subTableStr.equals(subTableStr2)) {
            return true;
        }
        return false;
    }
    
    protected boolean a(final Object o) {
        return o instanceof b;
    }
    
    @Override
    public int hashCode() {
        final int n = (((1 * 59 + (this.a() ? 79 : 97)) * 59 + (this.b() ? 79 : 97)) * 59 + this.getUsePage()) * 59 + (this.c() ? 79 : 97);
        final String alias = this.getAlias();
        final int n2 = n * 59 + ((alias == null) ? 43 : alias.hashCode());
        final String aliasNoPoint = this.getAliasNoPoint();
        final int n3 = n2 * 59 + ((aliasNoPoint == null) ? 43 : aliasNoPoint.hashCode());
        final String dataBaseType = this.getDataBaseType();
        final int n4 = n3 * 59 + ((dataBaseType == null) ? 43 : dataBaseType.hashCode());
        final List<e> fieldList = this.getFieldList();
        final int n5 = n4 * 59 + ((fieldList == null) ? 43 : fieldList.hashCode());
        final List<String> needList = this.getNeedList();
        final int n6 = n5 * 59 + ((needList == null) ? 43 : needList.hashCode());
        final List<SysPermissionDataRuleModel> authDatalist = this.getAuthDatalist();
        final int n7 = n6 * 59 + ((authDatalist == null) ? 43 : authDatalist.hashCode());
        final Map<String, Object> reqParams = this.getReqParams();
        final int n8 = n7 * 59 + ((reqParams == null) ? 43 : reqParams.hashCode());
        final StringBuffer sql = this.getSql();
        final int n9 = n8 * 59 + ((sql == null) ? 43 : sql.hashCode());
        final StringBuffer superQuerySql = this.getSuperQuerySql();
        final int n10 = n9 * 59 + ((superQuerySql == null) ? 43 : superQuerySql.hashCode());
        final Map<String, Object> sqlParams = this.getSqlParams();
        final int n11 = n10 * 59 + ((sqlParams == null) ? 43 : sqlParams.hashCode());
        final String daoType = this.getDaoType();
        final int n12 = n11 * 59 + ((daoType == null) ? 43 : daoType.hashCode());
        final String matchType = this.getMatchType();
        final int n13 = n12 * 59 + ((matchType == null) ? 43 : matchType.hashCode());
        final String paramPrefix = this.getParamPrefix();
        final int n14 = n13 * 59 + ((paramPrefix == null) ? 43 : paramPrefix.hashCode());
        final Map<String, String> duplicateSqlNameRecord = this.getDuplicateSqlNameRecord();
        final int n15 = n14 * 59 + ((duplicateSqlNameRecord == null) ? 43 : duplicateSqlNameRecord.hashCode());
        final Map<String, String> duplicateParamNameRecord = this.getDuplicateParamNameRecord();
        final int n16 = n15 * 59 + ((duplicateParamNameRecord == null) ? 43 : duplicateParamNameRecord.hashCode());
        final String subTableStr = this.getSubTableStr();
        return n16 * 59 + ((subTableStr == null) ? 43 : subTableStr.hashCode());
    }
    
    @Override
    public String toString() {
        return "ConditionHandler(alias=" + this.getAlias() + ", aliasNoPoint=" + this.getAliasNoPoint() + ", dataBaseType=" + this.getDataBaseType() + ", dateStringSearch=" + this.a() + ", fieldList=" + this.getFieldList() + ", needList=" + this.getNeedList() + ", authDatalist=" + this.getAuthDatalist() + ", reqParams=" + this.getReqParams() + ", sql=" + (Object)this.getSql() + ", superQuerySql=" + (Object)this.getSuperQuerySql() + ", sqlParams=" + this.getSqlParams() + ", daoType=" + this.getDaoType() + ", superQuery=" + this.b() + ", matchType=" + this.getMatchType() + ", usePage=" + this.getUsePage() + ", first=" + this.c() + ", paramPrefix=" + this.getParamPrefix() + ", duplicateSqlNameRecord=" + this.getDuplicateSqlNameRecord() + ", duplicateParamNameRecord=" + this.getDuplicateParamNameRecord() + ", subTableStr=" + this.getSubTableStr() + ")";
    }
    
    static {
        b = LoggerFactory.getLogger(b.class);
    }
}
